Skip to main content
GET
/
available_storage
Get Available Storage
curl --request GET \
  --url https://supply-api.compute-index.com/available_storage \
  --header 'Authorization: Bearer <token>'
{
  "vendors": [
    {
      "vendor": "<string>",
      "region": "<string>",
      "options": [
        {
          "storage_type": "<string>",
          "storage_class": "<string>",
          "vendor_class": "<string>",
          "price_per_gb_month": 123,
          "hourly_cost_per_gb": 123,
          "constraints": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "total_options": 123
}
Returns storage options with pricing across vendors. See the Storage guide for details on how storage works with GPU instances.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

Response for available storage options across vendors.

vendors
VendorStorageInfo · object[]
required
total_options
integer
required